import { Message } from "./message";
import { Hub } from "./hub";
import { Subscription } from "./subscription";
export declare class Connection {
    private subscriberId;
    private hub;
    constructor(hub: Hub, subscriberId: string);
    getHubName(): string;
    getSubscriberId(): string;
    off<T>(subscription: Subscription<T>): void;
    offBroadcast(): void;
    on<T>(subscription: Subscription<T>): void;
    onBroadcast(callBack: (payload: any) => void): void;
    post<T>(message: Message<T>): void;
    broadcast<T>(data: T): void;
    private subscriptionToListener;
}
